Bug#827918: gnuplot: Obsolete and incorrect NEWS.Debian should be removed

2016-06-22 Thread Adrian Bunk
Package: gnuplot Version: 5.0.3+dfsg3-5 Severity: normal The only entry in NEWS.Debian is for gnuplot/gnuplot5 parallel installation, which no longer makes sense after gnuplot does now contain gnuplot 5. -- debian-science-maintainers mailing list

Bug#833343: gnuplot needs transitional packages for gnuplot5

2016-08-03 Thread Adrian Bunk
Package: gnuplot Version: 5.0.3+dfsg3-7 Severity: important gnuplot needs transitionals packages for all gnuplot5* packages in jessie. Otherwise a user who has only gnuplot5 (and not gnuplot) installed on jessie will stay at the jessie gnuplot5 package after upgrading to stretch. Please use

Bug#852298: ignition-math2 FTBFS on mipsel: Inertiald_Test.SetRotationNonuniqueNondiagonal failed

2017-01-23 Thread Adrian Bunk
Source: ignition-math2 Version: 2.7.0-1 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=ignition-math2=mipsel=2.7.0-1=1484689954=0 ... [ RUN ] Inertiald_Test.SetRotationNonuniqueNondiagonal /«PKGBUILDDIR»/src/Inertial_TEST.cc:248: Failure Expected: moi Which is:

Bug#852296: yade FTBFS on arm64: compiler processes terminated (machine runs out of RAM?)

2017-01-23 Thread Adrian Bunk
Source: yade Version: 2017.01a-1 Severity: serious https://buildd.debian.org/status/logs.php?pkg=yade=arm64 ... make -j6 ... [ 4%] Building CXX object gui/CMakeFiles/_GLViewer.dir/qt5/OpenGLManager.cpp.o cd /«PKGBUILDDIR»/debian/build/gui && /usr/bin/c++ -DNDEBUG -DQT_CORE_LIB -DQT_GUI_LIB

Bug#852374: sagemath FTBFS on i386: recipe for target 'had-few-failures' failed

2017-01-23 Thread Adrian Bunk
Source: sagemath Version: 7.4-7 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=sagemath=i386=7.4-7=1485112049=0 ... -- sage -t --long src/sage/schemes/hyperelliptic_curves/hyperelliptic_finite_field.py # 1

Bug#838112: uctodata: fails to upgrade from 'jessie' - trying to overwrite /etc/ucto/es.abr

2017-01-22 Thread Adrian Bunk
Adding Andreas, the BTS does not Cc the submitter on messages. On Mon, Jan 16, 2017 at 08:17:03PM +0100, Maarten van Gompel wrote: > Quoting Andreas Beckmann (2017-01-16 17:24:19) > > Followup-For: Bug #838112 > > Control: found -1 0.3.1-1 > > Control: affects -1 + ucto > > > > that bug has just

Bug#854905: nmu: petsc_3.7.5+dfsg1-4

2017-02-11 Thread Adrian Bunk
Control: reassign -1 release.debian.org Control: retitle -1 nmu: petsc_3.7.5+dfsg1-4 Control: severity -1 normal Control: tags -1 - sid Control: affects -1 libpetsc3.7.5-dev On Sat, Feb 11, 2017 at 11:32:39AM -0800, Dima Kogan wrote: > Package: libpetsc3.7.5-dev > Severity: grave > > Hi.

Re: hmisc and r-cran-rms testing migration blocked

2017-01-24 Thread Adrian Bunk
On Mon, Jan 23, 2017 at 08:09:11PM +0100, Andreas Tille wrote: > Hi, > > On Mon, Jan 23, 2017 at 11:37:00AM -0600, Dirk Eddelbuettel wrote: > > | > > | Therefore nodejs is no longer available on armel. > > | > > | And therefore the node-highlight.js package that does depend on nodejs > > | is

Removing diet from Debian?

2017-01-15 Thread Adrian Bunk
Hi, https://tracker.debian.org/pkg/diet diet has: - 1 upload in 2012, - 4 RC bugs, - was not in jessie, and will not be in stretch and - the email address of the original uploader Haïkel Guémar is no longer functional [1] Does anyone plan to get that package back into shape, or would removal

Bug#835030: ompl: New upstream version available

2016-08-21 Thread Adrian Bunk
Source: ompl Version: 1.1.0+ds1-1 Severity: wishlist OMPL 1.2.1 is available at http://ompl.kavrakilab.org/download.html Could you package this version? Thanks in advance -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#831074: How to fix the ompl FTBFS

2016-08-21 Thread Adrian Bunk
What broke the build of geoip is that gcc 6 changed the default C++ standard from C++98 to C++14. Note that this just changed the default, when told to process C++98 code gcc 6 does not differ in any significant way from gcc 5. Not all valid C++98 code is also valid C++11 and C++14 code. ompl

Bug#856356: linbox FTBFS on mips/mipsel: segfault in test-charpoly

2017-02-28 Thread Adrian Bunk
Source: linbox Version: 1.4.2-3 Severity: important https://buildd.debian.org/status/package.php?p=linbox=sid ... PASS: test-blas-matrix ../build-aux/test-driver: line 107: 15983 Segmentation fault "$@" > $log_file 2>&1 FAIL: test-charpoly PASS: test-ntl-lzz_pex /bin/bash ../libtool

Bug#835373: blitz++: FTBFS due to testsuite failures on several architectures

2016-08-24 Thread Adrian Bunk
Source: blitz++ Version: 1:0.10+ds-1 Severity: serious https://buildd.debian.org/status/package.php?p=blitz++ Failure on i386, armel, armhf: ../../config/test-driver: line 107: 16150 Aborted "$@" > $log_file 2>&1 FAIL: matmult Failures on arm64, powerpc, ppc64el, s390x: FAIL:

Bug#833905: dimbl: FTBFS: include/dimbl/DimProcs.h:37:29: error: expected ')' before '&' token

2016-09-03 Thread Adrian Bunk
tags 833905 +fixed-upstream thanks On Wed, Aug 10, 2016 at 08:45:57AM +0100, Chris Lamb wrote: >... > make[3]: Entering directory > '/home/lamby/temp/cdt.20160810084053.cX2EXg73ka.dimbl/dimbl-0.12/src' > g++ -DHAVE_CONFIG_H -I. -I.. -I../include -Wdate-time -D_FORTIFY_SOURCE=2 > -g -O2

Merge the requests for VTK 7.0

2016-09-14 Thread Adrian Bunk
reassign 810254 src:vtk6 retitle 810254 New release available severity 826052 wishlist merge 810254 826052 thanks New upstream versions of a package are wishlist bugs against the package, not WNPP bugs. And packaging should be done by (or in coordination with) the existing maintainer of the

Bug#840165: fcl builds on amd64 with -march=native

2016-10-08 Thread Adrian Bunk
Source: fcl Version: 0.5.0-4 Severity: grave CMakeLists.txt sets -march=native in amd64 builds. This means the code will only run on machines with a CPU compatible with the one on the machine where the package was built. Building on a different buildd machine can also change where the code can

Re: Merge the requests for VTK 7.0

2016-09-16 Thread Adrian Bunk
t; contributors. the request is not from me. I just moved the WNPP bug to the vtk6 package - a new upstream version of a package should not have different maintainers than the old version. > Best regards > > Anton cu Adrian > 2016-09-14 22:26 GMT+02:00 Adrian Bunk <b...@s

Bug#811986: qwtplot3d: FTBFS with GCC 6: symbol changes

2016-08-26 Thread Adrian Bunk
On Wed, Jul 20, 2016 at 05:24:06PM -0400, Scott Kitterman wrote: > On Tuesday, January 19, 2016 08:13:48 PM you wrote: > > Package: qwtplot3d > > Version: 0.2.7+svn191-9 > > Severity: important > > User: debian-...@lists.debian.org > > Usertags: ftbfs-gcc-6 gcc-6-symbols > > > > This package

Bug#837454: Patch from Ubuntu for the flint-arb PIE FTBFS

2016-10-24 Thread Adrian Bunk
Control: tags -1 +patch The patch I found in Ubuntu for this bug is attached, cu Adrian -- "Is there not promise of rain?" Ling Tan asked suddenly out of the darkness. There had been need of rain for many days. "Only a promise," Lao Er said.

Bug#837657: Fixing the cernlib FTBFS will also rebuild the static libraries

2016-10-24 Thread Adrian Bunk
Control: reassign 837711 src:cernlib Control: forcemerge -1 837711 Control: affects -1 src:paw Fixing the cernlib FTBFS will also rebuild the static libraries with PIE, and a binNMU is anyways not possible before the FTBFS is fixed. cu Adrian -- "Is there not promise of rain?" Ling Tan

Re: What is going on with gtkdatabox?

2016-11-24 Thread Adrian Bunk
On Thu, Nov 24, 2016 at 08:40:43AM +0100, Andreas Tille wrote: > Hi again, > > On Thu, Nov 24, 2016 at 02:49:56AM +, peter green wrote: > > > > brp-pacu: has a build-dependency on libgtkdatabox-0.9.2-0-dev | > > libgtkdatabox-dev . Unfortunately buildds only look at the first option > > I'm

Bug#845046: gnuplot-iostream FTBFS in stretch due to missing libblitz0-dev

2016-11-19 Thread Adrian Bunk
Source: gnuplot-iostream Version: 0~20140302.gitc8919a0+dfsg-2 Severity: serious Tags: stretch Control: block -1 by 835373 gnuplot-iostream build-depends on libblitz0-dev, which is not in testing due to #835373 -- debian-science-maintainers mailing list

Bug#845082: numexpr FTBFS on ppc64el: test failures

2016-11-20 Thread Adrian Bunk
Source: numexpr Version: 2.6.1-1 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=numexpr=ppc64el=2.6.1-1=1479607449 Lots of failures like: ... == FAIL: test_scalar0_int_aggressive_OPERATIONS_0309

Bug#811763: Fix for the clipper FTBFS

2016-10-31 Thread Adrian Bunk
Control: tags -1 patch What broke the build is that gcc 6 changed the default C++ standard from C++98 to C++14. Not all valid C++98 code is also valid C++11 and C++14 code. Note that this just changed the default, when told to process C++98 code gcc 6 does not differ in any significant way

Bug#843053: This looks like a libfolia ABI breakage

2016-11-03 Thread Adrian Bunk
Control: reassign -1 libfolia4 1.4-1 Control: affects -1 frog This looks as if the libfolia ABI changed in 1.4 (or earlier) without changing the soname. cu Adrian -- "Is there not promise of rain?" Ling Tan asked suddenly out of the darkness. There had been need of rain for

Bug#816699: Moving the file conflict bug to src:ga

2016-11-04 Thread Adrian Bunk
Control: reassign -1 src:ga/5.3+dfsg-1, libarmci-mpi-dev/0.0~git20160222-1 Control: affects -1 libga-dev I am reassigning this bug from libga-dev to src:ga due to the libga-dev ownership problem, see #843141 and #843142 for details regarding that. The problem is also present in libga-dev

Bug#847396: ignition-math2 FTBFS: unit tests fail on all 32bit architectures

2016-12-07 Thread Adrian Bunk
Source: ignition-math2 Version: 2.5.0-2 Severity: serious https://buildd.debian.org/status/package.php?p=ignition-math2=sid Building seems to fail on all 32bit release architectures with one of: The following tests FAILED: 9 - UNIT_Helpers_TEST (Timeout) or The following tests

Bug#847699: apophenia FTBFS on several architectures: distances: The error is 0.0220695, which is too big (> 0.02).

2016-12-10 Thread Adrian Bunk
Source: apophenia Version: 1.0+ds-4 Severity: serious https://buildd.debian.org/status/package.php?p=apophenia=sid ... PASS: lognormal_test FAIL: ../eg/test_updating PASS: ../eg/transform PASS: test_apop = apophenia 1.0: tests/test-suite.log

Bug#847974: xmds2: FTBFS in stretch

2017-01-13 Thread Adrian Bunk
On Mon, Dec 12, 2016 at 05:42:37PM +, Santiago Vila wrote: > Package: src:xmds2 > Version: 2.2.2+dfsg-2 > Severity: serious > > Dear maintainer: > > I tried to build this package in stretch with "dpkg-buildpackage -A" > (which is what the "Arch: all" autobuilder would do to build it) > but

Bug#846533: apertium-hbs FTBFS in stretch due to missing libhfst45-dev

2016-12-01 Thread Adrian Bunk
Source: apertium-hbs Version: 0.5.0~r68212-1 Severity: serious Tags: stretch sid Control: block -1 by 827199 apertium-hbs build-depends on libhfst45-dev, which is not in stretch due to #827199 -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#840458: linbox: FTBFS on i386: illegal instruction in test-{cra, charpoly}

2016-11-29 Thread Adrian Bunk
On Tue, Nov 29, 2016 at 02:58:53PM +, Tobias Hansen wrote: >... > (I'm not sure if some of these flags (mmx, sse ?) are allowed > on i386 and didn't find that info. Ximin, do you know this?) None of these is allowed on i386. The baseline for i386 in stretch is the Pentium Pro, that has

Bug#837002: Fix for the aweather FTBFS

2016-12-04 Thread Adrian Bunk
On Sat, Dec 03, 2016 at 02:26:20AM +0500, Andrey Rahmatullin wrote: > On Fri, Oct 07, 2016 at 12:22:38AM +0300, Adrian Bunk wrote: > > Description: Don't force C99 in src/plugins/Makefile.am > > This makes timespec available for gps.h > > Author: Adrian Bunk <b...@stusta.d

Re: Bug#848758: Latest upgrade of Numpy breaks tests of other packages (Was: Bug#848758: python-skbio: FTBFS: Test failures)

2016-12-21 Thread Adrian Bunk
On Tue, Dec 20, 2016 at 09:01:31AM -0500, Sandro Tosi wrote: > > it seems the recent upgrade of numpy has broken some tests in other > > packages like for instance this one in python-skbio. I wonder whether > > you are either able to suggest patches to get the tests working with the > > new

Re: Re: Bug#848758: Latest upgrade of Numpy breaks tests of other packages (Was: Bug#848758: python-skbio: FTBFS: Test failures)

2016-12-21 Thread Adrian Bunk
On Wed, Dec 21, 2016 at 02:05:57PM +0100, Ole Streicher wrote: >... > The according functions are since then marked as "deprecated" and issue > a warning. Numpy introduced this change with 1.11rc already, which was > uploaded to Debian about 6 months ago. After it appears that many > packages (als

Re: Bug#848758: Latest upgrade of Numpy breaks tests of other packages (Was: Bug#848758: python-skbio: FTBFS: Test failures)

2016-12-21 Thread Adrian Bunk
On Wed, Dec 21, 2016 at 07:54:35AM -0500, Sandro Tosi wrote: >... > > On Wed, Dec 21, 2016 at 11:40:16AM +0200, Adrian Bunk wrote: >... > >> For python-skbio to have any chance of being part of stretch, the > >> latest possible date for an upload of a package without

scilab segfaults with TSX

2016-12-27 Thread Adrian Bunk
reassign 844134 reassign 844135 reassign 844138 forcemerge 844134 844135 844138 retitle 844134 scilab segfaults with TSX affects 844134 src:scilab-ann src:scilab-plotlib src:scilab-celestlab: F thanks This looks like a threading bug in Scilab exposed by TSX. cu Adrian -- "Is there not

Re: Bug#848758: Latest upgrade of Numpy breaks tests of other packages (Was: Bug#848758: python-skbio: FTBFS: Test failures)

2016-12-21 Thread Adrian Bunk
On Wed, Dec 21, 2016 at 03:38:36PM +0100, Ole Streicher wrote: > Hi Adrian, > > On 21.12.2016 15:29, Adrian Bunk wrote: > > On Wed, Dec 21, 2016 at 02:05:57PM +0100, Ole Streicher wrote: > >> ... > >> The according functions are since then marked as "depre

Bug#811973: closed by Picca Frédéric-Emmanuel <pi...@debian.org> (Bug#811973: fixed in ssm 1.4.0-1~exp1)

2016-12-21 Thread Adrian Bunk
Picca, can you also upload a fix/workaround for #811973 to unstable? Thanks Adrian -- "Is there not promise of rain?" Ling Tan asked suddenly out of the darkness. There had been need of rain for many days. "Only a promise," Lao Er said.

Bug#859370: gnuplot

2017-04-02 Thread Adrian Bunk
Source: gnuplot Version: 5.0.5+dfsg1-5 Severity: important Tags: patch With gcc in stretch defaulting to PIE, hardening=+all,-pie changed semantics from "enable hardening but not PIE" to "enable all hardening and explicitely disable the default PIE". The latter is usually not intended. For

Bug#859710: lhapdf FTBFS due to Build-Conflicts: automake

2017-04-06 Thread Adrian Bunk
Source: lhapdf Version: 5.9.1-4 Severity: serious Build-Depends: dh-autoreconf, automake1.11 Build-Conflicts: automake After #857556 got fixed this doesn't work anymore, the build dependencies cannot be fulfilled. Please replace the Build-Conflicts: automake with the following in debian/rules:

Bug#860854: yade FTBFS on mips/mipsel: This architecture is not supported, exiting

2017-04-20 Thread Adrian Bunk
Source: yade Version: 2017.01a-8 Severity: important https://buildd.debian.org/status/package.php?p=yade ... make[1]: Entering directory '/<>' dpkg-query: package 'python-sphinx' is not installed and no information is available Use dpkg --info (= dpkg-deb --info) to examine archive files, and

Bug#857310: sdpb FTBFS: *** stack smashing detected ***: ./sdpb terminated

2017-03-09 Thread Adrian Bunk
Source: sdpb Version: 1.0-1 Severity: serious https://buildd.debian.org/status/package.php?p=sdpb=sid ... make[1]: Leaving directory '/«PKGBUILDDIR»' dh_auto_test -a make -j6 test make[1]: Entering directory '/«PKGBUILDDIR»' ./sdpb -s test.xml --noFinalCheckpoint SDPB started at

Bug#857140: libarmci-mpi-dev: Package description should be improved

2017-03-08 Thread Adrian Bunk
Package: libarmci-mpi-dev Version: 0.0~git20160222-1 Severity: minor Description-en: ARMCI-MPI (Development version) ARMCI-MPI is a completely rewritten implementation of the ARMCI one-sided communication interface that uses MPI RMA for one-sided communication. . This version contains the

Bug#816305: armci-mpi: FTBFS: tests hang or explicitly fail

2017-03-05 Thread Adrian Bunk
Control: severity -1 serious On Mon, Feb 29, 2016 at 01:12:36PM -0500, Aaron M. Ucko wrote: > Source: armci-mpi > Version: 0.0~git20160222-1 > Severity: important > Justification: fails to build from source > > Hi, Michael. > > armci-mpi's test suite has failed on some architectures, as

Bug#870041: ceres-solver FTBFS on mips*: bundle_adjustment_test (OTHER_FAULT)

2017-07-29 Thread Adrian Bunk
Source: ceres-solver Version: 1.13.0~rc1~dfsg0-1 Severity: serious https://buildd.debian.org/status/package.php?p=ceres-solver=sid ... E0728 13:40:49.988039 29822 trust_region_minimizer.cc:91] Terminating: Number of consecutive invalid steps more than

Bug#859844: vmtk: diff for NMU version 1.3+dfsg-2.2

2017-08-01 Thread Adrian Bunk
angelog --- vmtk-1.3+dfsg/debian/changelog 2017-01-18 23:36:18.0 +0200 +++ vmtk-1.3+dfsg/debian/changelog 2017-08-01 19:06:28.0 +0300 @@ -1,3 +1,10 @@ +vmtk (1.3+dfsg-2.2) unstable; urgency=medium + + * Non-maintainer upload. + * Fix FTBFS by using OpenSSL 1.1. (Closes: #859844) +

Bug#872020: frobby FTBFS: latex: not found

2017-08-13 Thread Adrian Bunk
Source: frobby Version: 0.9.0-3 Severity: serious https://buildd.debian.org/status/package.php?p=frobby=sid ... for i in 1 2 3; do latex -output-directory=bin/doc/ doc/manual.tex; done /bin/sh: 1: latex: not found /bin/sh: 1: latex: not found /bin/sh: 1: latex: not found Makefile:253: recipe for

Bug#871689: mpich FTBFS on armhf: FAIL: test_primitives

2017-08-10 Thread Adrian Bunk
Source: mpich Version: 3.3~a2-2 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=mpich=armhf=3.3~a2-2=1502381558=0 ... FAIL: test_primitives = Testing simple integer load/store functionalityPASSED Testing simple pointer load/store

Bug#871927: xtensor-python FTBFS: test failures

2017-08-12 Thread Adrian Bunk
Source: xtensor-python Version: 0.12.2-1 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/xtensor-python.html ... [ RUN ] pyarray.access xtensor-python_0.12.2-1/test/test_common.hpp:321: Failure Expected: vec(2, 1, 0) Which is: 20 To be equal

Bug#868547: File conflict between inventor-clients-dbgsym and inventor-demo-dbgsym

2017-07-16 Thread Adrian Bunk
Source: inventor Version: 2.1.5-10-19 Severity: serious Control: affects -1 inventor-clients-dbgsym inventor-demo-dbgsym # apt-get install inventor-clients-dbgsym inventor-demo-dbgsym ... dpkg: error processing archive /tmp/apt-dpkg-install-6zLCzh/12-inventor-demo-dbgsym_2.1.5-10-19+b1_amd64.deb

Bug#868652: ros-vcstools FTBFS: CalledProcessError: Command 'git commit -m initial' returned non-zero exit status 128

2017-07-17 Thread Adrian Bunk
Source: ros-vcstools Version: 0.1.39-3 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ros-vcstools.html ... Checked out revision 1. .. == ERROR: test suite for

Bug#868702: ros-wstool FTBFS: CalledProcessError: Command '[u'git', u'commit', u'-m', u'initial']' returned non-zero exit status 128

2017-07-17 Thread Adrian Bunk
Source: ros-wstool Version: 0.1.13-2 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ros-wstool.html ... == ERROR: setUpClass (test.local.test_cli.MultiprojectCLITest)

Bug#867551: pybind11: missing build dependency on python3-all-dev

2017-07-07 Thread Adrian Bunk
Source: pybind11 Version: 2.0.1-3 Severity: serious Tags: buster sid FTBFS when more than one python3 version is supported: https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/pybind11.html ... cd /build/1st/pybind11-2.0.1/obj-x86_64-linux-gnu/tests && /usr/bin/c++

Bug#868727: freecad: Package description should drop the "(alpha)"

2017-07-17 Thread Adrian Bunk
Package: freecad Version: 0.16+dfsg2-3 Severity: minor Description-en: Extensible Open Source CAx program (alpha) Once upon a time this was correct, but FreeCAD is now clearly out of Alpha quality. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#868717: apertium-dan-nor FTBFS: Error: Position on line 6990 near `O inf)␊; ␊#sjeldent i` - stand-alone o or O doesn't make sense - maybe you meant 0?

2017-07-17 Thread Adrian Bunk
Source: apertium-dan-nor Version: 1.3.0~r67099-1 Severity: serious Tags: buster sid Some recent change in unstable makes apertium-dan-nor FTBFS: https://tests.reproducible-builds.org/debian/history/apertium-dan-nor.html

Bug#868604: apertium-nno FTBFS: Error: Position on line 6990 near `O inf)␊; ␊#sjeldent i` - stand-alone o or O doesn't make sense - maybe you meant 0?

2017-07-16 Thread Adrian Bunk
Source: apertium-nno Version: 0.9.0~r69513-1 Severity: serious Tags: buster sid Some recent change in unstable makes apertium-nno FTBFS: https://tests.reproducible-builds.org/debian/history/apertium-nno.html https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/apertium-nno.html

Bug#868608: apertium-hbs-mkd FTBFS: Error: Position on line 323 near `O A) (-1 BOS) (0 Gen` - stand-alone o or O doesn't make sense - maybe you meant 0?

2017-07-16 Thread Adrian Bunk
Source: apertium-hbs-mkd Version: 0.1.0~r57554-1 Severity: serious Tags: buster sid Some recent change in unstable makes apertium-hbs-mkd FTBFS: https://tests.reproducible-builds.org/debian/history/apertium-hbs-mkd.html

Bug#868622: mathgl FTBFS: error: 'op_lshift' is not a member of 'octave_value'

2017-07-16 Thread Adrian Bunk
Source: mathgl Version: 2.4-1 Severity: serious https://buildd.debian.org/status/package.php?p=mathgl=sid ... /<>/obj-aarch64-linux-gnu/lang/mathglOCTAVE_wrap.cxx: In function 'void SWIG_InstallBinaryOps(int, int)': /<>/obj-aarch64-linux-gnu/lang/mathglOCTAVE_wrap.cxx:2099:46: error:

Bug#868607: apertium-swe-nor FTBFS: Error: Position on line 6990 near `O inf)␊; ␊#sjeldent i` - stand-alone o or O doesn't make sense - maybe you meant 0?

2017-07-16 Thread Adrian Bunk
Source: apertium-swe-nor Version: 0.2.0~r69544-1 Severity: serious Some recent change in unstable makes apertium-swe-nor FTBFS: https://tests.reproducible-builds.org/debian/history/apertium-swe-nor.html https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/apertium-swe-nor.html ...

Bug#868597: apertium-is-sv FTBFS: Error: Position on line 129 near `O Prop + Ant + Fem) ` - stand-alone o or O doesn't make sense - maybe you meant 0?

2017-07-16 Thread Adrian Bunk
Source: apertium-is-sv Version: 0.1.0~r56030-1 Severity: serious Tags: buster sid Some recent change in unstable makes apertium-is-sv FTBFS: https://tests.reproducible-builds.org/debian/history/apertium-is-sv.html

Bug#868616: seaborn FTBFS: ImportError: No module named pytest

2017-07-16 Thread Adrian Bunk
Source: seaborn Version: 0.7.1-4 Severity: serious Tags: buster sid Some recent change in unstable makes seaborn FTBFS: https://tests.reproducible-builds.org/debian/history/seaborn.html https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/seaborn.html ...

Bug#868552: File conflict between libyade-dbgsym and python-yade-dbgsym

2017-07-16 Thread Adrian Bunk
Package: libyade Version: 2017.01a-8 Severity: serious Control: affects -1 libyade-dbgsym python-yade-dbgsym # apt-get install libyade-dbgsym python-yade-dbgsym ... dpkg: error processing archive /tmp/apt-dpkg-install-hGWQht/38-python-yade-dbgsym_2017.01a-8_amd64.deb (--unpack): trying to

Bug#869160: libgap-sage build-depends on gap (< 4r8p7) but 4r8p7-1 is to be installed

2017-07-21 Thread Adrian Bunk
Source: libgap-sage Version: 4.8.6+3+20160327g69a66f0+dsx-2 Severity: serious Tags: buster sid The following packages have unmet dependencies: builddeps:libgap-sage : Depends: gap (< 4r8p7) but 4r8p7-1 is to be installed -- debian-science-maintainers mailing list

Bug#869162: ros-rosinstall FTBFS: CalledProcessError: Command '[u'git', u'commit', u'-m', u'initial']' returned non-zero exit status 128

2017-07-21 Thread Adrian Bunk
Source: ros-rosinstall Version: 0.7.7-4 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ros-rosinstall.html ... test_get_with_rosinstall (test.local.test_locate.LocateTest) ... ok test_getters (test.local.test_locate.LocateTest) ... ok test_getters_empty

Bug#869181: librospack-dev: Incorrect libtinyxml dependency

2017-07-21 Thread Adrian Bunk
Package: librospack-dev Version: 2.4.1-1 Severity: serious Control: affects -1 src:ros-pluginlib src:ros-resource-retriever $ pkg-config --libs rospack -lrospack -l:/usr/lib/x86_64-linux-gnu/libpython2.7.so -l:/usr/lib/x86_64-linux-gnu/libboost_filesystem.so

Bug#869582: apertium-eo-es FTBFS: Error: Position on line 159 near `O Vblex + Pers) (*1C` - stand-alone o or O doesn't make sense - maybe you meant 0?

2017-07-24 Thread Adrian Bunk
Source: apertium-eo-es Version: 1:0.9.1~r60655-1 Severity: serious Tags: buster sid Some recent change in unstable makes apertium-eo-es FTBFS: https://tests.reproducible-builds.org/debian/history/apertium-eo-es.html

Bug#868877: libgpuarray FTBFS on 32bit: error: '__int128' is not supported on this target

2017-07-19 Thread Adrian Bunk
Source: libgpuarray Version: 0.6.8-1 Severity: important https://buildd.debian.org/status/package.php?p=libgpuarray=sid ... /<>/src/util/integerfactoring.c: In function 'gaIMulMod': /<>/src/util/integerfactoring.c:271:20: error: '__int128' is not supported on this target return ((unsigned

Bug#866352: ros-catkin-pkg FTBFS: ImportError: No module named setuptools

2017-06-28 Thread Adrian Bunk
Source: ros-catkin-pkg Version: 0.3.5-1 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=ros-catkin-pkg=all=0.3.5-1=1498644999=0 ... dh_auto_clean -O--buildsystem=python_distutils python setup.py clean -a Traceback (most recent call last): File "setup.py", line 5, in

Bug#865526: closed by Gianfranco Costamagna <locutusofb...@debian.org> (Re: libpetsc3.7.5-dev: uninstallable on current sid)

2017-06-29 Thread Adrian Bunk
Control: reopen -1 On Thu, Jun 29, 2017 at 03:24:06PM +, Debian Bug Tracking System wrote: > Date: Thu, 29 Jun 2017 17:21:34 +0200 > From: Gianfranco Costamagna > To: 865526-d...@bugs.debian.org > Subject: Re: libpetsc3.7.5-dev: uninstallable on current sid > > >

Bug#865526: closed by Gianfranco Costamagna <locutusofb...@debian.org> (Re: libpetsc3.7.5-dev: uninstallable on current sid)

2017-06-30 Thread Adrian Bunk
On Fri, Jun 30, 2017 at 08:36:44AM +, Gianfranco Costamagna wrote: >... > We can't track RC bugs because of a missing NMU, because otherwise the BTW > would be full > of uninstallability bugs (useless) and "fixed" packages will be removed from > testing > too (look e.g. to haskell and ocaml)

Bug#867111: inventor FTBFS due to using internal freetype symbol

2017-07-03 Thread Adrian Bunk
Source: inventor Version: 2.1.5-10-19 Severity: serious Tags: buster sid inventor FTBFS due to using the internal freetype symbol FT_Done_GlyphSlot that didn't have a prototype in earlier freetype versions and is no longer available in 2.8-0.2:

Bug#867172: giac FTBFS on big endian: tests fail and hang

2017-07-04 Thread Adrian Bunk
Source: giac Version: 1.2.3.53+dfsg1-2 Severity: important https://buildd.debian.org/status/package.php?p=giac ... debian/rules override_dh_auto_test-arch make[1]: Entering directory '/<>/giac-1.2.3.53+dfsg1' if dh_auto_test -a -D check; then :; else cat check/test-suite.log; false; fi

Bug#867090: hepmc: Build-dependency texlive-math-extra no longer available

2017-07-03 Thread Adrian Bunk
Source: hepmc Version: 2.06.09-1 Severity: serious Tags: buster sid The texlive-science package no longer provides texlive-math-extra in the package dependencies, please update the build-dependency to texlive-science. -- debian-science-maintainers mailing list

Bug#867094: linbox: Build-dependency texlive-math-extra no longer available

2017-07-03 Thread Adrian Bunk
Source: linbox Version: 1.4.2-3 Severity: serious Tags: buster sid The texlive-science package no longer provides texlive-math-extra in the package dependencies, please update the build-dependency to texlive-science. -- debian-science-maintainers mailing list

Bug#867097: opencv: Build-dependency latex-xcolor no longer available

2017-07-03 Thread Adrian Bunk
Source: opencv Version: 2.4.9.1+dfsg1-2 Severity: serious Tags: buster sid The texlive-latex-recommended package no longer provides latex-xcolor in the package dependencies, please update the build-dependency to texlive-latex-recommended. -- debian-science-maintainers mailing list

Bug#867100: ppl: Build-dependency texlive-math-extra no longer available

2017-07-03 Thread Adrian Bunk
Source: ppl Version: 1:1.2-1 Severity: serious Tags: buster sid The texlive-science package no longer provides texlive-math-extra in the package dependencies, please update the build-dependency to texlive-science. -- debian-science-maintainers mailing list

Bug#867102: rheolef: Build-dependency texlive-math-extra no longer available

2017-07-03 Thread Adrian Bunk
Source: rheolef Version: 6.7-1 Severity: serious Tags: buster sid The texlive-science package no longer provides texlive-math-extra in the package dependencies, please update the build-dependency to texlive-science. -- debian-science-maintainers mailing list

Bug#867071: sketch: pgf is no longer provided by texlive-pictures

2017-07-03 Thread Adrian Bunk
Source: sketch Version: 1:0.3.7-3 Severity: serious Recommends: pgf | texlive-pstricks The texlive-pictures ships still ships pgf but no longer provides it in the dependencies, this should therefore become: Recommends: texlive-pictures | texlive-pstricks -- debian-science-maintainers mailing

Bug#867073: dune-common: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-common Version: 2.5.0-1 Severity: serious Tags: buster sid The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867074: dune-functions: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-functions Version: 2.5.0-1 Severity: serious The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867075: dune-geometry: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-geometry Version: 2.5.0-1 Severity: serious Tags: buster sid The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867076: dune-grid: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-grid Version: 2.5.0-1 Severity: serious Tags: buster sid The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867078: dune-istl: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-istl Version: 2.5.0-2 Severity: serious Tags: buster sid The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867079: dune-localfunctions: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-localfunctions Version: 2.5.0-2 Severity: serious Tags: buster sid The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867080: dune-pdelab: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-pdelab Version: 2.5.0~20170124g7cf9f47a-1 Severity: serious Tags: buster sid The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867082: dune-typetree: Build-dependency pgf no longer available

2017-07-03 Thread Adrian Bunk
Source: dune-typetree Version: 2.5.0-1 Severity: serious Tags: buster sid The texlive-pictures package ships still ships pgf but no longer provides it in the dependencies. -- debian-science-maintainers mailing list debian-science-maintainers@lists.alioth.debian.org

Bug#867086: fflas-ffpack: Build-dependency texlive-math-extra no longer available

2017-07-03 Thread Adrian Bunk
Source: fflas-ffpack Version: 2.2.2-4 Severity: serious Tags: buster sid The texlive-science package no longer provides texlive-math-extra in the package dependencies, please update the build-dependency to texlive-science. -- debian-science-maintainers mailing list

Bug#867087: givaro: Build-dependency texlive-math-extra no longer available

2017-07-03 Thread Adrian Bunk
Source: givaro Version: 4.0.2-5 Severity: serious Tags: buster sid The texlive-science package no longer provides texlive-math-extra in the package dependencies, please update the build-dependency to texlive-science. -- debian-science-maintainers mailing list

Bug#867312: vtk6 FTBFS: Could NOT find FontConfig

2017-07-05 Thread Adrian Bunk
Source: vtk6 Version: 6.3.0+dfsg1-6 Severity: serious https://buildd.debian.org/status/package.php?p=vtk6=sid ... -- Boost version: 1.62.0 -- Found PythonLibs: /usr/lib/x86_64-linux-gnu/libpython2.7.so CMake Error at CMake/FindPackageHandleStandardArgs.cmake:97 (MESSAGE): Could NOT find

Bug#867496: morse-simulator: FTBFS with Sphinx 1.5: ImportError: No module named 'version'

2017-07-06 Thread Adrian Bunk
Control: severity -1 serious Control: retitle -1 morse-simulator FTBFS: ImportError: No module named 'version' On Thu, Jul 06, 2017 at 11:49:24PM +0300, Dmitry Shachnev wrote: >... > Your package fails to build with it: > > Running Sphinx v1.5.6 > making output directory... > > Exception

Bug#860854: yade FTBFS on mips/mipsel: This architecture is not supported, exiting

2017-04-24 Thread Adrian Bunk
On Fri, Apr 21, 2017 at 01:03:53AM +0300, Adrian Bunk wrote: > Source: yade > Version: 2017.01a-8 > Severity: important > > https://buildd.debian.org/status/package.php?p=yade > > ... > make[1]: Entering directory '/<>' > dpkg-query: package 'python-sphinx' is

Bug#870203: dune-grid FTBFS on mips: test-ug (Timeout)

2017-07-30 Thread Adrian Bunk
Source: dune-grid Version: 2.5.1-1 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=dune-grid=mips=2.5.1-1=1500401835=0 ... Start 31: test-ug 31/60 Test #31: test-ug ...***Timeout 300.02 sec Testing UGGrid<2> and UGGrid<3> with

Bug#870237: sdformat FTBFS with cmake 3.9.0

2017-07-31 Thread Adrian Bunk
Source: sdformat Version: 4.2.0-2 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/sdformat.html ... CMake Error at CMakeLists.txt:191 (else): A duplicate ELSE command was found inside an IF block. -- Configuring incomplete, errors occurred! --

Bug#871483: mpich FTBFS on ppc64el: FAIL test_primitives

2017-08-08 Thread Adrian Bunk
Source: mpich Version: 3.2-7 Severity: serious Tags: buster sid https://buildd.debian.org/status/fetch.php?pkg=mpich=ppc64el=3.2-7%2Bb2=1502178769=0 ... FAIL: test_primitives = Testing simple integer load/store functionalityPASSED Testing simple

Bug#870821: esys-particle FTBFS with perl 5.26

2017-08-05 Thread Adrian Bunk
Source: esys-particle Version: 2.3.5+dfsg1-1 Severity: serious https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/esys-particle.html ... ./makeglos.pl paper.glo Unescaped left brace in regex is illegal here in regex; marked by <-- HERE in m/\\newglossarytype\[(.*)\]{ <-- HERE

Bug#871042: python-genpy: missing dependency on python-yaml

2017-08-06 Thread Adrian Bunk
Package: python-genpy Version: 0.6.6-1 Severity: serious Control: affects -1 src:ros-bond-core https://tests.reproducible-builds.org/debian/history/ros-bond-core.html https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/ros-bond-core.html ... cd

Bug#871248: ovito FTBFS on architectures where char is unsigned

2017-08-07 Thread Adrian Bunk
Source: ovito Version: 2.9.0+dfsg1-1 Severity: serious https://buildd.debian.org/status/package.php?p=ovito=sid ... In file included from /<>/ovito-2.9.0+dfsg1/src/plugins/particles/modifier/fields/MarchingCubes.cpp:24:0:

Bug#872603: statsmodels binary-all FTBFS: ImportError: No module named _tkinter, please install the python-tk package

2017-08-19 Thread Adrian Bunk
Source: statsmodels Version: 0.8.0-2 Severity: serious https://buildd.debian.org/status/fetch.php?pkg=statsmodels=all=0.8.0-2=1503095627=0 ... == ERROR: statsmodels.tsa.vector_ar.tests.test_var.TestVARResults.test_fevd_plot

Bug#872670: libgmm++-dev requires header that is shipped in libgetfem++-dev

2017-08-19 Thread Adrian Bunk
Package: libgmm++-dev Version: 5.2+dfsg1-4 Severity: serious Control: affects -1 src:csound https://tests.reproducible-builds.org/debian/rb-pkg/unstable/amd64/csound.html ... -- Looking for C++ include gmm/gmm.h -- Looking for C++ include gmm/gmm.h - not found ... CMake Error at

Bug#872549: clasp FTBFS on armel: undefined reference to `__atomic_load_8'

2017-08-18 Thread Adrian Bunk
Source: clasp Version: 3.3.2-1 Severity: serious Tags: patch https://buildd.debian.org/status/fetch.php?pkg=clasp=armel=3.3.2-1=1503036865=0 ... /usr/bin/c++ -g -O2 -fdebug-prefix-map=/<>=. -fstack-protector-strong -Wformat -Werror=format-security -O3 -DNDEBUG -Wdate-time -D_FORTIFY_SOURCE=2

  1   2   3   >